'use strict'

module.exports = json

const bole = require('bole')
const logger = bole(process.title)('json')

function json (str) {
  str = String(str).trim()
  if (!str) {
    return
  }

  try {
    return JSON.parse(str)
  } catch (e) {
    if (str.length > 37) {
      str = str.substr(0, 37) + '...'
    }
    logger.warn('ignoring invalid json record: %s', str)
    return null
  }
}
