'use strict'

const httpUtils = require('./http-utils')

exports.handleRequest = httpUtils.getHandlerForCommandWithAsset('snapshot', getArgs)

// If there's an argument it will be JSON so simply parse it and
// pass the object on to the command.  This is needed to avoid
// being double-encoded.
function getArgs (req) {
  if (!req.nsStorage.qData.data) {
    return
  }
  try {
    return JSON.parse(req.nsStorage.qData.data)
  } catch (err) {
  }
}
