var tape = require('tape')
var nte = require('./number-to-english')

tape('abbreviated span', function doTest(t) {
  t.equals(nte(-1), '-1')
  t.equals(nte(0), 'zero')
  t.equals(nte(1), 'one')
  t.equals(nte(2), 'two')
  t.equals(nte(3), 'three')
  t.equals(nte(4), 'four')
  t.equals(nte(5), 'five')
  t.equals(nte(6), 'six')
  t.equals(nte(7), 'seven')
  t.equals(nte(8), 'eight')
  t.equals(nte(9), 'nine')
  t.equals(nte(10), 'ten')
  t.equals(nte(11), '11')
  t.end()
})
